/v4/time-map/fast

Isochrones (Fast)
Copy link

A very fast version of Isochrone API. However, the request parameters are much more limited. Supported countries list available here.

Currently supports only POST requests

Request body
Copy link

Searches based on arrival time. Arrive at a destination or multiple destinations at no later than given time.

This returns the reachable area for journeys arriving at the chosen arrival location. You can define a maximum of 10 searches.

Used to identify each search in the results array. Must be unique among all searches.

Coordinates of the arrival location.

Possible values: weekday_morning

Maximum journey time (in seconds).
Maximum value is 10800 (3 hours) as standard. To discuss increasing this, please contact hello@traveltime.com.

Specifies level of detail of returned shape.

The highest available level of detail depends on travel_time. A search that requests a higher level is downgraded to the highest level its travel_time allows. Limitations can be found here.

Specifies polygon filter of a single shape.

Enable to remove holes from returned polygons.
Note that this will likely result in loss in accuracy.

  • approximate_time_filter (default) - the shape matches time-filter results as much as possible
  • road_buffering - the shape looks as if traversed roads of the search have been painted over with a wide brush

Minimum value is 250 meters. Default value is 1000 meters.

  • when render_mode=approximate_time_filter - controls how far from the reached road network the isochrone generation algorithm may consider locations as reachable.
  • when render_mode=road_buffering - controls how far the final polygon is expanded outward from the reached roads. This behaves like applying a positive geometric offset to the collection of lines derived from the reached road segments.
  • true (default) - returned shape will not cover large nearby water bodies
  • false - returned shape may cover nearby water bodies like large lakes, wide rivers and seas

Adjusts the process of looking up the nearest roads from the departure / arrival points.

This returns the reachable area for journeys departing from the chosen departure location. You can define a maximum of 10 searches.

array[object]

Define the unions of shapes that are the results of previously defined departure or arrival searches. You can define a maximum of 10 unions per request.

string

Used to identify each search in the results array. Must be unique among all searches.

array[string]

A list of the search ids referring to the shapes to be used for calculating the union.

array[object]

Define the intersections of shapes that are the results of previously defined departure or arrival searches. You can define a maximum of 10 intersections per request.

Used to identify each search in the results array. Must be unique among all searches.

A list of the search ids referring to the shapes to be used for calculating the intersection.

Limits of level of detail and traveltime
Copy link

The highest level of detail a search can use depends on its travel_time. The table lists the longest travel time that each level supports. A search that requests a higher level of detail than its travel time allows is downgraded to the highest level that allows it. The request does not fail, and the response format does not change.

Bounding boxes (application/vnd.bounding-boxes+json) keep the requested level. The coarse_grid scale type and simple_numeric levels below -2 have no limit.

Level of detailMaximum travel time
lowest (-2)Endpoint maximum (10800, 3 hr)
low (-1)Endpoint maximum (10800, 3 hr)
medium (0)10800 (3 hr)
high (1)7200 (2 hr)
highest (2)5400 (90 min)

Response body
Copy link

We support multiple response formats, the format can be set using the Accept header. Supported formats:

  • application/json - This is the default if no format was specified.
  • application/vnd.wkt+json
  • application/vnd.wkt-no-holes+json
  • application/geo+json
  • application/vnd.bounding-boxes+json - This format does not include holes

When output_format is application/json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

array[object]

When output_format is application/geo+json
Copy link

FeatureCollection
array[Feature]

Contains collection of features.

Feature

Contains MultiPolygon.

Feature properties.

When output_format is application/vnd.wkt+json or application/vnd.wkt-no-holes+json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

A string containing the shape in Well-known text (WKT)

Properties array. Only the properties included in the request are returned.

When output_format is application/vnd.bounding-boxes+json
Copy link

array[object]

The results array which is sorted lexicographically by the id attribute.

array[object]

Properties array. Only the properties included in the request are returned.

Examples
Copy link

Request
Copy link

Loading

Response body
Copy link

Loading

Request with unions and intersections
Copy link

Loading

Response body
Copy link

Loading

Request

Loading

Response

Loading